<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__device__link__keys__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_device_link_keys_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__device__link__keys__t_1a71d8924dc427d5cda65ca49a9bb625ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_device_link_keys_t::bd_addr</definition>
        <argsstring />
        <name>bd_addr</name>
        <briefdescription>
<para>[in] BD Address of remote </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="883" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="883" />
      </memberdef>
      <memberdef id="structwiced__bt__device__link__keys__t_1afee39bc3d694e3ea4e2f1d6e569fb4e2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__device__sec__keys__t">wiced_bt_device_sec_keys_t</ref></type>
        <definition>wiced_bt_device_sec_keys_t wiced_bt_device_link_keys_t::key_data</definition>
        <argsstring />
        <name>key_data</name>
        <briefdescription>
<para>[in/out] Key data </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="884" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="884" />
      </memberdef>
      <memberdef id="structwiced__bt__device__link__keys__t_1adacd7612dfb1254f2c995c8e38c0b9d8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_device_link_keys_t::conn_addr</definition>
        <argsstring />
        <name>conn_addr</name>
        <briefdescription>
<para>[in] BD Address remote used to originate connection </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="885" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="885" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Paired device link key notification (used by BTM_PAIRED_DEVICE_LINK_KEYS_UPDATE_EVT notication) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="422">
        <label>wiced_bt_device_sec_keys_t</label>
        <link refid="structwiced__bt__device__sec__keys__t" />
        <childnode refid="423" relation="usage">
          <edgelabel>le_keys</edgelabel>
        </childnode>
      </node>
      <node id="423">
        <label>wiced_bt_ble_keys_t</label>
        <link refid="structwiced__bt__ble__keys__t" />
      </node>
      <node id="421">
        <label>wiced_bt_device_link_keys_t</label>
        <link refid="structwiced__bt__device__link__keys__t" />
        <childnode refid="422" relation="usage">
          <edgelabel>key_data</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="886" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="881" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="882" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__device__link__keys__t_1a71d8924dc427d5cda65ca49a9bb625ff" virt="non-virtual"><scope>wiced_bt_device_link_keys_t</scope><name>bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__device__link__keys__t_1adacd7612dfb1254f2c995c8e38c0b9d8" virt="non-virtual"><scope>wiced_bt_device_link_keys_t</scope><name>conn_addr</name></member>
      <member prot="public" refid="structwiced__bt__device__link__keys__t_1afee39bc3d694e3ea4e2f1d6e569fb4e2" virt="non-virtual"><scope>wiced_bt_device_link_keys_t</scope><name>key_data</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>